﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.Text;
using System.Threading.Tasks;

namespace SampleApp.Common.Exceptions
{
    [Serializable]
    public class SampleAppCommonException : SampleAppExceptionBase
    {
        public SampleAppCommonException()
        {
        }

        public SampleAppCommonException(string message)
            : base(message)
        {
        }

        public SampleAppCommonException(string message, Exception inner)
            : base(message, inner)
        {
        }

        protected SampleAppCommonException(SerializationInfo info, StreamingContext context)
            : base(info, context)
        {
        }
    }
}
