﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

using SampleApp.Common.Interfaces;

namespace SampleApp.Common.Infrastructure.Operations
{
    internal interface IDateTimeOperation : IService
    {
        DateTime GetCurrent();
    }

    internal class CurrentDateTimeOperation : IDateTimeOperation
    {
        public DateTime GetCurrent()
        {
            return DateTime.Now;
        }
    }
}
