﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.Text;
using System.Threading.Tasks;

using SampleApp.Common.Exceptions;

namespace SampleApp.Data.Exceptions
{
    [Serializable]
    public class SampleAppDataException : SampleAppExceptionBase
    {
        public SampleAppDataException()
        {
        }

        public SampleAppDataException(string message)
            : base(message)
        {
        }

        public SampleAppDataException(string message, System.Exception inner)
            : base(message, inner)
        {
        }

        protected SampleAppDataException(SerializationInfo info, StreamingContext context)
            : base(info, context)
        {
        }
    }
}
