﻿CREATE TABLE [dbo].[LogLine] (
    [Id]         INT           IDENTITY (1, 1) NOT NULL,
    [SeverityId] SMALLINT      NOT NULL,
    [Message]    VARCHAR (MAX) NOT NULL,
    [CreatedAt]  DATETIME2 (7) NOT NULL,
    [Message2]   VARCHAR (5)   NULL,
    CONSTRAINT [PK_LogLine] PRIMARY KEY CLUSTERED ([Id] ASC),
    CONSTRAINT [CK_LogLine] CHECK ([SeverityId]>=(0))
);

