﻿CREATE TABLE [dbo].[Person] (
    [Id]         INT           IDENTITY (1, 1) NOT NULL,
    [Title]      NVARCHAR (8)  COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
    [FirstName]  NVARCHAR (50) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL,
    [MiddleName] NVARCHAR (50) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
    [LastName]   NVARCHAR (50) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL,
    [CreatedAt]  DATETIME2 (7) NOT NULL,
    [CreatedBy]  VARCHAR (50)  NOT NULL,
    [ModifiedAt] DATETIME2 (7) NULL,
    [ModifiedBy] VARCHAR (50)  NULL,
    CONSTRAINT [PK_Person] PRIMARY KEY CLUSTERED ([Id] ASC)
);

