﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Security.Principal;
using System.Web;

using SampleApp.Common.Authentication;

namespace SampleApp.WebUI.Infrastructure.Authentication
{
    public class WebAuthenticationService : IAuthenticationService
    {
        public IPrincipal CurrentUser
        {
            get
            {
                return HttpContext.Current != null ? HttpContext.Current.User : null;
            }
        }
    }
}