using System;
using System.Collections.Generic;

using Castle.MicroKernel.Registration;

using SampleApp.Business.Infrastructure.Windsor;
using SampleApp.Common.Infrastructure;
using SampleApp.Data.Infrastructure.Windsor;
using SampleApp.TestUtilities;

namespace SampleApp.Data.Tests
{
    public abstract class BusinessTestsBase : DatabaseTestsBase
    {
        protected override IEnumerable<IWindsorInstaller> GetInstallers()
        {
            return new IWindsorInstaller[]
                       {
                           new CommonWindsorInstaller(),
                           new DataWindsorInstaller(),
                           new BusinessWindsorInstaller(),
                           new BusinessTestsInstaller()
                       };
        }
    }
}