using SampleApp.Common.Interfaces;
using SampleApp.Data.Common;
using SampleApp.Data.SampleAppEntities;

namespace SampleApp.Business.Crud.Validators
{
    internal interface IEntityValidator<in TEntity> : IService
    {
        void ValidateNew(TEntity entity, SampleAppContext context, DataValidationResult validationResult);

        void ValidateUpdate(TEntity entity, SampleAppContext context, DataValidationResult validationResult);

        void ValidateDelete(int id, SampleAppContext context, DataValidationResult validationResult);
    }
}