﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.Text;
using System.Threading.Tasks;

using SampleApp.Common.Exceptions;

namespace SampleApp.Business.Exceptions
{
    [Serializable]
    public class SampleAppBusinessException : SampleAppExceptionBase
    {
        public SampleAppBusinessException()
        {
        }

        public SampleAppBusinessException(string message)
            : base(message)
        {
        }

        public SampleAppBusinessException(string message, Exception inner)
            : base(message, inner)
        {
        }

        protected SampleAppBusinessException(SerializationInfo info, StreamingContext context)
            : base(info, context)
        {
        }
    }
}
