﻿using System;
using System.Runtime.Serialization;

namespace SampleApp.Common.Exceptions
{
    [Serializable]
    public abstract class SampleAppExceptionBase : Exception
    {
        protected SampleAppExceptionBase()
        {
        }

        protected SampleAppExceptionBase(string message)
            : base(message)
        {
        }

        protected SampleAppExceptionBase(string message, Exception inner)
            : base(message, inner)
        {
        }

        protected SampleAppExceptionBase(SerializationInfo info, StreamingContext context)
            : base(info, context)
        {
        }
    }
}