﻿using AutoMapper;

namespace SampleApp.Common.Extensions
{
    public static class MappingExtensions
    {
        public static TOut MapIfTypesDiffers<TIn, TOut>(TIn dto)
            where TOut : class
        {
            TOut entity;
            if (typeof(TOut) == typeof(TIn))
                entity = (TOut)(object)dto;
            else
                entity = Mapper.Map<TOut>(dto);

            return entity;
        }
    }
}
