﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

using Castle.Windsor;

using log4net;

namespace SampleApp.Common.Infrastructure
{
    public static class WindsorStore
    {
        private static readonly ILog Logger = LogManager.GetLogger(typeof(WindsorStore));
        public static IWindsorContainer CurrentContainer { get; set; }

        public static void TryStaticDispose()
        {
            if (CurrentContainer != null)
            {
                try
                {
                    CurrentContainer.Dispose();
                }
                catch (Exception ex)
                {
                    Logger.Error(ex);
                }

                CurrentContainer = null;
            }
        }
    }
}
