﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SampleApp.Data.Common
{
    [AttributeUsage(AttributeTargets.Property)]
    public sealed class DefaultOrderByAttribute : Attribute
    {
        public DefaultOrderByAttribute()
        {
            Order = 0;
            Direction = ListSortDirection.Ascending;
        }

        public int Order { get; set; }
        public ListSortDirection Direction { get; set; }
    }
}
