namespace SampleApp.Data.SampleAppEntities
{
    using System;
    using System.Collections.Generic;
    using System.ComponentModel.DataAnnotations;
    using System.ComponentModel.DataAnnotations.Schema;
    using System.Data.Entity.Spatial;

    [Table("EmailAddress")]
    public partial class EmailAddress
    {
        public int Id { get; set; }

        public int PersonId { get; set; }

        [Column("EmailAddress")]
        [StringLength(50)]
        public string Mail { get; set; }

        public Guid RowGuid { get; set; }

        [Column(TypeName = "datetime2")]
        public DateTime CreatedAt { get; set; }

        [Required]
        [StringLength(50)]
        public string CreatedBy { get; set; }

        [Column(TypeName = "datetime2")]
        public DateTime? ModifiedAt { get; set; }

        [StringLength(50)]
        public string ModifiedBy { get; set; }

        public virtual Person Person { get; set; }
    }
}
