namespace SampleApp.Data.SampleAppEntities
{
    using System;
    using System.Collections.Generic;
    using System.ComponentModel.DataAnnotations;
    using System.ComponentModel.DataAnnotations.Schema;
    using System.Data.Entity.Spatial;

    [Table("LogLine")]
    public partial class LogLine
    {
        public int Id { get; set; }

        public short SeverityId { get; set; }

        [Required]
        public string Message { get; set; }

        [Column(TypeName = "datetime2")]
        public DateTime CreatedAt { get; set; }

        [StringLength(5)]
        [Editable(false)]
        public string Message2 { get; set; }
    }
}
