using Castle.MicroKernel.Registration;
using Castle.MicroKernel.SubSystems.Configuration;
using Castle.Windsor;

using SampleApp.Common.Authentication;
using SampleApp.TestUtilities;

namespace SampleApp.Data.Tests
{
    internal class BusinessTestsInstaller : IWindsorInstaller
    {
        public void Install(IWindsorContainer container, IConfigurationStore store)
        {
            Component.For<IAuthenticationService>().ImplementedBy<MockAuthenticationService>();
        }
    }
}